package activitypub

import (
	"fmt"
	"net/http"
)

func BuildActivitypubRouter() http.Handler {
	router := http.NewServeMux()
	router.HandleFunc("/user/{id}", users)
	router.HandleFunc("/user/{id}/inbox", userInbox)
	router.HandleFunc("/activity/accept/{id}", activityAccept)
	router.HandleFunc("/activity/create/{id}", activityCreate)
	router.HandleFunc("/activity/delete/{id}", activityDelete)
	router.HandleFunc("/activity/reject/{id}", activityReject)
	router.HandleFunc("/activity/update/{id}", activityUpdate)
	router.HandleFunc("/note/{id}", objectNote)
	router.HandleFunc("/", func(w http.ResponseWriter, r *http.Request) {
		_, _ = fmt.Fprint(w, "in ap")
	})
	return router
}
